clan::Exception Class Reference - ClanLib SDK
Description: clan::Exception Class Reference

Public Member Functions | Public Attributes | List of all members
clan::Exception Class Reference
clanCore System

Top-level exception class. More...

`#include <exception.h>`

Inheritance diagram for clan::Exception:

## Public Member Functions
| Exception (const std::string &message)
| Constructs an exception object.
virtual | ~Exception () noexcept
| Destructs an exception object.
std::string | get_message_and_stack_trace () const
| Returns the message and call stack present when the exception object was created, formatted using newlines.
std::vector< std::string > | get_stack_trace () const
| Returns the call stack present when the exception object was created.
virtual const char * | what () const override throw ()
| Returns description of exception.

## Public Attributes
std::string | message
| Description of exception.

## Detailed Description

Top-level exception class.

## Constructor & Destructor Documentation

## ◆ Exception()

clan::Exception::Exception | ( | const std::string & | message | ) |

Constructs an exception object.

## ◆ ~Exception()

virtual clan::Exception::~Exception | ( |  | ) |
| inlinevirtualnoexcept

Destructs an exception object.

## Member Function Documentation

## ◆ get_message_and_stack_trace()

std::string clan::Exception::get_message_and_stack_trace | ( |  | ) | const

Returns the message and call stack present when the exception object was created, formatted using newlines.

On Linux, to obtain function names, remember to link with the -rdynamic flag

## ◆ get_stack_trace()

std::vector< std::string > clan::Exception::get_stack_trace | ( |  | ) | const

Returns the call stack present when the exception object was created.

On Linux, to obtain function names, remember to link with the -rdynamic flag

## ◆ what()

virtual const char * clan::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |
| overridevirtual

Returns description of exception.

## Member Data Documentation

## ◆ message

std::string clan::Exception::message

Description of exception.

The documentation for this class was generated from the following file:

- exception.h